QGIS Application - Bug report #8902
DB connection credentials on tooltips
2013-10-17 10:50 PM - Paolo Cavallini

No
No
fixed/implemented

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.0.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17580

Description

Showing DB credentials on the tooltip on mouse over the legend seems an useless

security flaw (e.g. these can accidentally be shown during a demo, etc.).
Better hiding them, leaving other connections parameters visible for debugging.

History

#1 - 2013-10-18 02:44 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Do you have an example? The password should not appear in the tooltip.

#2 - 2013-10-18 03:17 AM - Giovanni Manghi
- File 46.png added

In fact on master does not seems to happen anymore. See attached image.

#3 - 2013-10-18 03:19 AM - Paolo Cavallini
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Right, sorry for the noise.
